Bug 70768 - PropertyUtils does not handle Windows homedir "\\homeserv\share"
PropertyUtils does not handle Windows homedir "\\homeserv\share"
Status: CLOSED DUPLICATE of bug 46813
Product: projects
Classification: Unclassified
Component: Ant
4.x
PC Windows XP
: P3 (vote)
: 4.x
Assigned To: issues@projects
issues@projects
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-23 10:37 UTC by ozgurgul
Modified: 2006-03-24 13:08 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ozgurgul 2005-12-23 10:37:48 UTC
-------------------------------------------------------------------------------
>Log Session: Friday, December 23, 2005 11:18:02 AM CET
>System Info: 
  Product Version       = NetBeans IDE 4.1 (Build 200507031930)
  Operating System      = Windows XP version 5.1 running on x86
  Java; VM; Vendor      = 1.5.0_06; Java HotSpot(TM) Client VM 1.5.0_06-b05; 
Sun Microsystems Inc.
  Java Home             = C:\Program Files\Java\jdk1.5.0_06\jre
  System Locale; Encod. = en_GB (nb); Cp1252
  Home Dir; Current Dir = \\czchonsnas2.prg-dc.dhl.com\ogul$; C:\Program 
Files\netbeans-4.1
  IDE Install; User Dir = C:\Program Files\netbeans-4.1\platform5; 
\\czchonsnas2.prg-dc.dhl.com\ogul$\.netbeans\4.1
  CLASSPATH             = C:\Program Files\netbeans-4.1\platform5
\lib\boot.jar;C:\Program Files\netbeans-4.1\platform5
\lib\locale\boot_ja.jar;C:\Program Files\netbeans-4.1\platform5
\lib\locale\boot_zh_CN.jar;C:\Program Files\Java\jdk1.5.0_06
\lib\dt.jar;C:\Program Files\Java\jdk1.5.0_06\lib\tools.jar
  Boot & ext classpath  = C:\Program Files\Java\jdk1.5.0_06
\jre\lib\rt.jar;C:\Program Files\Java\jdk1.5.0_06\jre\lib\i18n.jar;C:\Program 
Files\Java\jdk1.5.0_06\jre\lib\sunrsasign.jar;C:\Program Files\Java\jdk1.5.0_06
\jre\lib\jsse.jar;C:\Program Files\Java\jdk1.5.0_06\jre\lib\jce.jar;C:\Program 
Files\Java\jdk1.5.0_06\jre\lib\charsets.jar;C:\Program Files\Java\jdk1.5.0_06
\jre\classes;C:\Program Files\Java\jdk1.5.0_06
\jre\lib\ext\dnsns.jar;C:\Program Files\Java\jdk1.5.0_06
\jre\lib\ext\localedata.jar;C:\Program Files\Java\jdk1.5.0_06
\jre\lib\ext\sunjce_provider.jar;C:\Program Files\Java\jdk1.5.0_06
\jre\lib\ext\sunpkcs11.jar
  Dynamic classpath     = C:\Program Files\netbeans-4.1\platform5
\core\core.jar;C:\Program Files\netbeans-4.1\platform5\core\openide-
loaders.jar;C:\Program Files\netbeans-4.1\platform5
\core\openide.jar;C:\Program Files\netbeans-4.1\platform5\core\org-netbeans-
swing-plaf.jar;C:\Program Files\netbeans-4.1\platform5
\core\updater.jar;C:\Program Files\netbeans-4.1\platform5
\core\locale\core_ja.jar;C:\Program Files\netbeans-4.1\platform5
\core\locale\core_zh_CN.jar;C:\Program Files\netbeans-4.1\platform5
\core\locale\openide-loaders_ja.jar;C:\Program Files\netbeans-4.1\platform5
\core\locale\openide-loaders_zh_CN.jar;C:\Program Files\netbeans-4.1\platform5
\core\locale\openide_ja.jar;C:\Program Files\netbeans-4.1\platform5
\core\locale\openide_zh_CN.jar;C:\Program Files\netbeans-4.1\platform5
\core\locale\org-netbeans-swing-plaf_ja.jar;C:\Program Files\netbeans-4.1
\platform5\core\locale\org-netbeans-swing-plaf_zh_CN.jar;C:\Program 
Files\netbeans-4.1\platform5\core\locale\updater_ja.jar;C:\Program 
Files\netbeans-4.1\platform5\core\locale\updater_zh_CN.jar;C:\Program 
Files\netbeans-4.1\nb4.1\core\org-netbeans-upgrader.jar;C:\Program 
Files\netbeans-4.1\nb4.1\core\locale\core_nb.jar;C:\Program Files\netbeans-4.1
\nb4.1\core\locale\core_nb_ja.jar;C:\Program Files\netbeans-4.1\nb4.1
\core\locale\core_nb_zh_CN.jar;C:\Program Files\netbeans-4.1\nb4.1
\core\locale\org-netbeans-upgrader_ja.jar;C:\Program Files\netbeans-4.1\nb4.1
\core\locale\org-netbeans-upgrader_zh_CN.jar;C:\Program Files\netbeans-4.1\ide5
\core\org-netbeans-modules-utilities-cli.jar
-------------------------------------------------------------------------------
getCanonicalFile() on file \\czchonsnas2.prg-dc.dhl.com failed. 
java.io.IOException: Invalid argument
*********** Exception occurred ************ at 11:18 AM on Dec 23, 2005
java.lang.NullPointerException
	at org.netbeans.spi.project.support.ant.PropertyUtils$2.run
(PropertyUtils.java:135)
	at org.openide.util.Mutex.writeAccess(Mutex.java:310)
	at 
org.netbeans.spi.project.support.ant.PropertyUtils.putGlobalProperties
(PropertyUtils.java:124)
	at 
org.netbeans.modules.java.j2seplatform.libraries.J2SELibraryTypeProvider$1.run
(J2SELibraryTypeProvider.java:86)
	at org.openide.util.Mutex.postRequest(Mutex.java:987)
	at org.openide.util.Mutex.postWriteRequest(Mutex.java:438)
	at 
org.netbeans.modules.java.j2seplatform.libraries.J2SELibraryTypeProvider.librar
yCreated(J2SELibraryTypeProvider.java:79)
[catch] at 
org.netbeans.modules.project.libraries.LibrariesStorage.loadFromStorage
(LibrariesStorage.java:116)
	at org.netbeans.modules.project.libraries.LibrariesStorage.initStorage
(LibrariesStorage.java:152)
	at org.netbeans.modules.project.libraries.LibrariesStorage.getLibraries
(LibrariesStorage.java:257)
	at org.netbeans.api.project.libraries.LibraryManager.getLibraries
(LibraryManager.java:99)
	at org.netbeans.api.project.libraries.LibraryManager.getLibrary
(LibraryManager.java:60)
	at 
org.netbeans.modules.java.project.BrokenReferencesModel.getReferences
(BrokenReferencesModel.java:240)
	at org.netbeans.modules.java.project.BrokenReferencesModel.isBroken
(BrokenReferencesModel.java:142)
	at 
org.netbeans.spi.java.project.support.ui.BrokenReferencesSupport.isBroken
(BrokenReferencesSupport.java:80)
	at 
org.netbeans.modules.java.j2seproject.ui.J2SEPhysicalViewProvider.hasBrokenLink
s(J2SEPhysicalViewProvider.java:184)
	at 
org.netbeans.modules.java.j2seproject.J2SEProject$ProjectOpenedHookImpl.project
Opened(J2SEProject.java:348)
	at org.netbeans.spi.project.ui.ProjectOpenedHook$1.projectOpened
(ProjectOpenedHook.java:49)
	at org.netbeans.modules.project.ui.OpenProjectList.notifyOpened
(OpenProjectList.java:404)
	at org.netbeans.modules.project.ui.OpenProjectList.getDefault
(OpenProjectList.java:121)
	at org.netbeans.modules.project.ui.OpenProjectsTrampolineImpl.<init>
(OpenProjectsTrampolineImpl.java:35)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native 
Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance
(NativeConstructorAccessorImpl.java:39)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance
(DelegatingConstructorAccessorImpl.java:27)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:494)
	at java.lang.Class.newInstance0(Class.java:350)
	at java.lang.Class.newInstance(Class.java:303)
	at org.openide.util.lookup.MetaInfServicesLookup$P.getInstance
(MetaInfServicesLookup.java:346)
	at org.openide.util.lookup.AbstractLookup.lookup
(AbstractLookup.java:298)
	at org.openide.util.lookup.ProxyLookup.lookup(ProxyLookup.java:140)
	at 
org.netbeans.modules.project.uiapi.Utilities.getOpenProjectsTrampoline
(Utilities.java:45)
	at org.netbeans.api.project.ui.OpenProjects.<init>
(OpenProjects.java:52)
	at org.netbeans.api.project.ui.OpenProjects.<clinit>
(OpenProjects.java:47)
	at org.netbeans.modules.editor.bookmarks.EditorBookmarksModule.restored
(EditorBookmarksModule.java:58)
	at org.netbeans.core.modules.NbInstaller.loadCode(NbInstaller.java:322)
	at org.netbeans.core.modules.NbInstaller.load(NbInstaller.java:240)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:869)
	at org.netbeans.core.modules.ModuleList.installNew(ModuleList.java:382)
	at org.netbeans.core.modules.ModuleList.trigger(ModuleList.java:316)
	at org.netbeans.core.modules.ModuleSystem.restore
(ModuleSystem.java:253)
	at org.netbeans.core.NonGui.run(NonGui.java:355)
	at org.netbeans.core.Main.run(Main.java:185)
	at org.netbeans.core.NbTopManager.getNbTopManager
(NbTopManager.java:241)
	at org.netbeans.core.NbTopManager.get(NbTopManager.java:190)
	at org.netbeans.core.Main.start(Main.java:311)
	at org.netbeans.core.TopThreadGroup.run(TopThreadGroup.java:90)
	at java.lang.Thread.run(Thread.java:595)
*********** Exception occurred ************ at 11:18 AM on Dec 23, 2005
java.lang.NullPointerException
	at org.netbeans.spi.project.support.ant.PropertyUtils$2.run
(PropertyUtils.java:135)
	at org.openide.util.Mutex.writeAccess(Mutex.java:310)
	at 
org.netbeans.spi.project.support.ant.PropertyUtils.putGlobalProperties
(PropertyUtils.java:124)
	at 
org.netbeans.modules.java.j2seplatform.libraries.J2SELibraryTypeProvider$1.run
(J2SELibraryTypeProvider.java:86)
	at org.openide.util.Mutex.postRequest(Mutex.java:987)
	at org.openide.util.Mutex.postWriteRequest(Mutex.java:438)
	at 
org.netbeans.modules.java.j2seplatform.libraries.J2SELibraryTypeProvider.librar
yCreated(J2SELibraryTypeProvider.java:79)
[catch] at 
org.netbeans.modules.project.libraries.LibrariesStorage.loadFromStorage
(LibrariesStorage.java:116)
	at org.netbeans.modules.project.libraries.LibrariesStorage.initStorage
(LibrariesStorage.java:152)
	at org.netbeans.modules.project.libraries.LibrariesStorage.getLibraries
(LibrariesStorage.java:257)
	at org.netbeans.api.project.libraries.LibraryManager.getLibraries
(LibraryManager.java:99)
	at org.netbeans.api.project.libraries.LibraryManager.getLibrary
(LibraryManager.java:60)
	at 
org.netbeans.modules.java.project.BrokenReferencesModel.getReferences
(BrokenReferencesModel.java:240)
	at org.netbeans.modules.java.project.BrokenReferencesModel.isBroken
(BrokenReferencesModel.java:142)
	at 
org.netbeans.spi.java.project.support.ui.BrokenReferencesSupport.isBroken
(BrokenReferencesSupport.java:80)
	at 
org.netbeans.modules.java.j2seproject.ui.J2SEPhysicalViewProvider.hasBrokenLink
s(J2SEPhysicalViewProvider.java:184)
	at 
org.netbeans.modules.java.j2seproject.J2SEProject$ProjectOpenedHookImpl.project
Opened(J2SEProject.java:348)
	at org.netbeans.spi.project.ui.ProjectOpenedHook$1.projectOpened
(ProjectOpenedHook.java:49)
	at org.netbeans.modules.project.ui.OpenProjectList.notifyOpened
(OpenProjectList.java:404)
	at org.netbeans.modules.project.ui.OpenProjectList.getDefault
(OpenProjectList.java:121)
	at org.netbeans.modules.project.ui.OpenProjectsTrampolineImpl.<init>
(OpenProjectsTrampolineImpl.java:35)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native 
Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance
(NativeConstructorAccessorImpl.java:39)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance
(DelegatingConstructorAccessorImpl.java:27)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:494)
	at java.lang.Class.newInstance0(Class.java:350)
	at java.lang.Class.newInstance(Class.java:303)
	at org.openide.util.lookup.MetaInfServicesLookup$P.getInstance
(MetaInfServicesLookup.java:346)
	at org.openide.util.lookup.AbstractLookup.lookup
(AbstractLookup.java:298)
	at org.openide.util.lookup.ProxyLookup.lookup(ProxyLookup.java:140)
	at 
org.netbeans.modules.project.uiapi.Utilities.getOpenProjectsTrampoline
(Utilities.java:45)
	at org.netbeans.api.project.ui.OpenProjects.<init>
(OpenProjects.java:52)
	at org.netbeans.api.project.ui.OpenProjects.<clinit>
(OpenProjects.java:47)
	at org.netbeans.modules.editor.bookmarks.EditorBookmarksModule.restored
(EditorBookmarksModule.java:58)
	at org.netbeans.core.modules.NbInstaller.loadCode(NbInstaller.java:322)
	at org.netbeans.core.modules.NbInstaller.load(NbInstaller.java:240)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:869)
	at org.netbeans.core.modules.ModuleList.installNew(ModuleList.java:382)
	at org.netbeans.core.modules.ModuleList.trigger(ModuleList.java:316)
	at org.netbeans.core.modules.ModuleSystem.restore
(ModuleSystem.java:253)
	at org.netbeans.core.NonGui.run(NonGui.java:355)
	at org.netbeans.core.Main.run(Main.java:185)
	at org.netbeans.core.NbTopManager.getNbTopManager
(NbTopManager.java:241)
	at org.netbeans.core.NbTopManager.get(NbTopManager.java:190)
	at org.netbeans.core.Main.start(Main.java:311)
	at org.netbeans.core.TopThreadGroup.run(TopThreadGroup.java:90)
	at java.lang.Thread.run(Thread.java:595)
*********** Exception occurred ************ at 11:18 AM on Dec 23, 2005
java.lang.NullPointerException
	at org.netbeans.spi.project.support.ant.PropertyUtils$2.run
(PropertyUtils.java:135)
	at org.openide.util.Mutex.writeAccess(Mutex.java:310)
	at 
org.netbeans.spi.project.support.ant.PropertyUtils.putGlobalProperties
(PropertyUtils.java:124)
	at 
org.netbeans.modules.java.j2seplatform.libraries.J2SELibraryTypeProvider$1.run
(J2SELibraryTypeProvider.java:86)
	at org.openide.util.Mutex.postRequest(Mutex.java:987)
	at org.openide.util.Mutex.postWriteRequest(Mutex.java:438)
	at 
org.netbeans.modules.java.j2seplatform.libraries.J2SELibraryTypeProvider.librar
yCreated(J2SELibraryTypeProvider.java:79)
[catch] at 
org.netbeans.modules.project.libraries.LibrariesStorage.loadFromStorage
(LibrariesStorage.java:116)
	at org.netbeans.modules.project.libraries.LibrariesStorage.initStorage
(LibrariesStorage.java:152)
	at org.netbeans.modules.project.libraries.LibrariesStorage.getLibraries
(LibrariesStorage.java:257)
	at org.netbeans.api.project.libraries.LibraryManager.getLibraries
(LibraryManager.java:99)
	at org.netbeans.api.project.libraries.LibraryManager.getLibrary
(LibraryManager.java:60)
	at 
org.netbeans.modules.java.project.BrokenReferencesModel.getReferences
(BrokenReferencesModel.java:240)
	at org.netbeans.modules.java.project.BrokenReferencesModel.isBroken
(BrokenReferencesModel.java:142)
	at 
org.netbeans.spi.java.project.support.ui.BrokenReferencesSupport.isBroken
(BrokenReferencesSupport.java:80)
	at 
org.netbeans.modules.java.j2seproject.ui.J2SEPhysicalViewProvider.hasBrokenLink
s(J2SEPhysicalViewProvider.java:184)
	at 
org.netbeans.modules.java.j2seproject.J2SEProject$ProjectOpenedHookImpl.project
Opened(J2SEProject.java:348)
	at org.netbeans.spi.project.ui.ProjectOpenedHook$1.projectOpened
(ProjectOpenedHook.java:49)
	at org.netbeans.modules.project.ui.OpenProjectList.notifyOpened
(OpenProjectList.java:404)
	at org.netbeans.modules.project.ui.OpenProjectList.getDefault
(OpenProjectList.java:121)
	at org.netbeans.modules.project.ui.OpenProjectsTrampolineImpl.<init>
(OpenProjectsTrampolineImpl.java:35)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native 
Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance
(NativeConstructorAccessorImpl.java:39)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance
(DelegatingConstructorAccessorImpl.java:27)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:494)
	at java.lang.Class.newInstance0(Class.java:350)
	at java.lang.Class.newInstance(Class.java:303)
	at org.openide.util.lookup.MetaInfServicesLookup$P.getInstance
(MetaInfServicesLookup.java:346)
	at org.openide.util.lookup.AbstractLookup.lookup
(AbstractLookup.java:298)
	at org.openide.util.lookup.ProxyLookup.lookup(ProxyLookup.java:140)
	at 
org.netbeans.modules.project.uiapi.Utilities.getOpenProjectsTrampoline
(Utilities.java:45)
	at org.netbeans.api.project.ui.OpenProjects.<init>
(OpenProjects.java:52)
	at org.netbeans.api.project.ui.OpenProjects.<clinit>
(OpenProjects.java:47)
	at org.netbeans.modules.editor.bookmarks.EditorBookmarksModule.restored
(EditorBookmarksModule.java:58)
	at org.netbeans.core.modules.NbInstaller.loadCode(NbInstaller.java:322)
	at org.netbeans.core.modules.NbInstaller.load(NbInstaller.java:240)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:869)
	at org.netbeans.core.modules.ModuleList.installNew(ModuleList.java:382)
	at org.netbeans.core.modules.ModuleList.trigger(ModuleList.java:316)
	at org.netbeans.core.modules.ModuleSystem.restore
(ModuleSystem.java:253)
	at org.netbeans.core.NonGui.run(NonGui.java:355)
	at org.netbeans.core.Main.run(Main.java:185)
	at org.netbeans.core.NbTopManager.getNbTopManager
(NbTopManager.java:241)
	at org.netbeans.core.NbTopManager.get(NbTopManager.java:190)
	at org.netbeans.core.Main.start(Main.java:311)
	at org.netbeans.core.TopThreadGroup.run(TopThreadGroup.java:90)
	at java.lang.Thread.run(Thread.java:595)
[org.netbeans.core.modules] *********** Exception occurred ************ at 
11:18 AM on Dec 23, 2005
java.lang.NullPointerException
	at org.netbeans.spi.project.support.ant.PropertyUtils$2.run
(PropertyUtils.java:135)
	at org.openide.util.Mutex.writeAccess(Mutex.java:310)
	at 
org.netbeans.spi.project.support.ant.PropertyUtils.putGlobalProperties
(PropertyUtils.java:124)
	at org.netbeans.modules.web.project.WebProjectModule$1.run
(WebProjectModule.java:95)
	at org.openide.util.Mutex.postRequest(Mutex.java:987)
	at org.openide.util.Mutex.postWriteRequest(Mutex.java:438)
	at org.netbeans.modules.web.project.WebProjectModule.restored
(WebProjectModule.java:59)
	at org.netbeans.core.modules.NbInstaller.loadCode(NbInstaller.java:322)
[catch] at org.netbeans.core.modules.NbInstaller.load(NbInstaller.java:240)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:869)
	at org.netbeans.core.modules.ModuleList.installNew(ModuleList.java:382)
	at org.netbeans.core.modules.ModuleList.trigger(ModuleList.java:316)
	at org.netbeans.core.modules.ModuleSystem.restore
(ModuleSystem.java:253)
	at org.netbeans.core.NonGui.run(NonGui.java:355)
	at org.netbeans.core.Main.run(Main.java:185)
	at org.netbeans.core.NbTopManager.getNbTopManager
(NbTopManager.java:241)
	at org.netbeans.core.NbTopManager.get(NbTopManager.java:190)
	at org.netbeans.core.Main.start(Main.java:311)
	at org.netbeans.core.TopThreadGroup.run(TopThreadGroup.java:90)
	at java.lang.Thread.run(Thread.java:595)
[org.netbeans.core.modules] *********** Exception occurred ************ at 
11:18 AM on Dec 23, 2005
java.lang.NullPointerException
	at org.netbeans.spi.project.support.ant.PropertyUtils$2.run
(PropertyUtils.java:135)
	at org.openide.util.Mutex.writeAccess(Mutex.java:310)
	at 
org.netbeans.spi.project.support.ant.PropertyUtils.putGlobalProperties
(PropertyUtils.java:124)
	at org.netbeans.modules.websvc.core.WSCoreModuleInstaller$1.run
(WSCoreModuleInstaller.java:65)
	at org.openide.util.Mutex.postRequest(Mutex.java:987)
	at org.openide.util.Mutex.postWriteRequest(Mutex.java:438)
	at org.netbeans.modules.websvc.core.WSCoreModuleInstaller.restored
(WSCoreModuleInstaller.java:43)
	at org.netbeans.core.modules.NbInstaller.loadCode(NbInstaller.java:322)
[catch] at org.netbeans.core.modules.NbInstaller.load(NbInstaller.java:240)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:869)
	at org.netbeans.core.modules.ModuleList.installNew(ModuleList.java:382)
	at org.netbeans.core.modules.ModuleList.trigger(ModuleList.java:316)
	at org.netbeans.core.modules.ModuleSystem.restore
(ModuleSystem.java:253)
	at org.netbeans.core.NonGui.run(NonGui.java:355)
	at org.netbeans.core.Main.run(Main.java:185)
	at org.netbeans.core.NbTopManager.getNbTopManager
(NbTopManager.java:241)
	at org.netbeans.core.NbTopManager.get(NbTopManager.java:190)
	at org.netbeans.core.Main.start(Main.java:311)
	at org.netbeans.core.TopThreadGroup.run(TopThreadGroup.java:90)
	at java.lang.Thread.run(Thread.java:595)
[org.netbeans.core.modules] *********** Exception occurred ************ at 
11:18 AM on Dec 23, 2005
java.lang.NullPointerException
	at org.netbeans.spi.project.support.ant.PropertyUtils$2.run
(PropertyUtils.java:135)
	at org.openide.util.Mutex.writeAccess(Mutex.java:310)
	at 
org.netbeans.spi.project.support.ant.PropertyUtils.putGlobalProperties
(PropertyUtils.java:124)
	at org.netbeans.modules.java.j2seplatform.J2SEPlatformModule$1.run
(J2SEPlatformModule.java:49)
	at org.openide.util.Mutex.postRequest(Mutex.java:987)
	at org.openide.util.Mutex.postWriteRequest(Mutex.java:438)
	at 
org.netbeans.modules.java.j2seplatform.J2SEPlatformModule.updateBuildProperties
(J2SEPlatformModule.java:41)
	at org.netbeans.modules.java.j2seplatform.J2SEPlatformModule.restored
(J2SEPlatformModule.java:36)
	at org.netbeans.core.modules.NbInstaller.loadCode(NbInstaller.java:322)
[catch] at org.netbeans.core.modules.NbInstaller.load(NbInstaller.java:240)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:869)
	at org.netbeans.core.modules.ModuleList.installNew(ModuleList.java:382)
	at org.netbeans.core.modules.ModuleList.trigger(ModuleList.java:316)
	at org.netbeans.core.modules.ModuleSystem.restore
(ModuleSystem.java:253)
	at org.netbeans.core.NonGui.run(NonGui.java:355)
	at org.netbeans.core.Main.run(Main.java:185)
	at org.netbeans.core.NbTopManager.getNbTopManager
(NbTopManager.java:241)
	at org.netbeans.core.NbTopManager.get(NbTopManager.java:190)
	at org.netbeans.core.Main.start(Main.java:311)
	at org.netbeans.core.TopThreadGroup.run(TopThreadGroup.java:90)
	at java.lang.Thread.run(Thread.java:595)
Turning on modules:
	org.openide/1 [5.9.1 200507031930]
	org.netbeans.modules.queries/1 [1.4.1 200507031930]
	org.netbeans.modules.projectapi/1 [1.3.1 200507031930]
	org.openide.loaders [5.2.1 200507031930]
	org.netbeans.bootstrap/1 [1.0.1 200507031930]
	org.netbeans.swing.plaf [1.2.1 200507031930]
	org.netbeans.core/1 [1.27.1 200507031930]
	org.netbeans.modules.settings/1 [1.7.1 200507031930]
	org.netbeans.modules.javahelp/1 [2.5.1 200507031930]
	org.netbeans.tasklistapi/1 [1.16.6 6 200507031930]
	org.netbeans.modules.tasklist.core/2 [1.33.615 15 200507031930]
	org.netbeans.modules.suggestions_framework/2 [1.11.6158 8 200507031930]
	org.netbeans.modules.projectuiapi/1 [1.5.4.0.0 4.0.0 200507031930]
	org.netbeans.modules.tasklist.docscan/2 [1.19.61584 4 200507031930]
	javax.jmi.reflect/1 [1.4.1 200507031930]
	org.netbeans.jmi.javamodel/1 [1.13.1 200507031930]
	org.netbeans.modules.editor.util/1 [1.4.1 200507031930]
	org.netbeans.modules.editor.fold/1 [1.2.1 200507031930]
	org.netbeans.modules.editor.lib/1 [1.3.1 0.1 200507031930]
	org.netbeans.modules.editor.plain.lib/1 [1.0.1 200507031930]
	org.openidex.util/3 [3.6.1 200507031930]
	org.netbeans.modules.editor/3 [1.19.1 200507031930]
	org.netbeans.modules.editor.plain/1 [1.0.1 200507031930]
	org.netbeans.modules.classfile/1 [1.14.1 200507031930]
	org.netbeans.modules.editor.bookmarks/1 [1.0.1 200507031930]
	org.openide.io [1.6.1 200507031930]
	org.openide.execution [1.5.1 200507031930]
	org.netbeans.modules.extbrowser/1 [1.6.1 200507031930]
	org.netbeans.api.xml/1 [1.8 3.999.4 200507031930]
	org.netbeans.modules.schema2beans/1 [1.11.1 200507031930]
	org.netbeans.core.multiview/1 [1.5.1 200507031930]
	org.netbeans.modules.xml.multiview/1 [1.0 1.0-release41 200507031930]
	org.netbeans.modules.java.editor.lib/1 [1.0.1 200507031930]
	org.netbeans.api.java/1 [1.7.1 200507031930]
	org.openide.src [1.5.1 200507031930]
	org.netbeans.libs.j2eeeditor/1 [1.4.1 200507031930]
	org.netbeans.core.output2/1 [1.3.1 200507031930]
	org.netbeans.core.execution/1 [1.6.1 200507031930]
	org.apache.tools.ant.module/3 [3.17.1 200507031930]
	org.netbeans.spi.viewmodel/2 [1.4.1 200507031930]
	org.netbeans.api.debugger/1 [1.3.1 200507031930]
	org.netbeans.api.debugger.jpda/1 [1.3.1 200507031930]
	org.netbeans.modules.java.platform/1 [1.3.1 200507031930]
	org.netbeans.swing.tabcontrol [1.3.1 200507031930]
	org.netbeans.core.windows/2 [2.4.1 200507031930]
	org.netbeans.core.ui/1 [1.6.1 200507031930]
	org.netbeans.modules.xml.core/2 [1.7 3.999.4 200507031930]
	org.netbeans.modules.xml.catalog/2 [1.6 3.999.4 200507031930]
	org.netbeans.modules.masterfs/1 [1.4.1 200507031930]
	org.netbeans.modules.projectui [1.3.4.0.0 200507031930]
	org.netbeans.modules.project.ant/1 [1.6.1 200507031930]
	javax.jmi.model/1 [1.4.1 200507031930]
	org.netbeans.api.mdr/1 [1.1.1 200507031930]
	org.netbeans.modules.jmiutils/1 [1.1.1 release41 200507031930]
	org.netbeans.modules.mdr/1 [1.1.1 release41 200507031930]
	org.netbeans.modules.javacore/1 [1.5.1 200507031930]
	org.netbeans.modules.java/1 [1.20.1 1.0.0 200507031930]
	org.netbeans.modules.project.libraries/1 [1.10.1 200507031930]
	org.netbeans.modules.java.project/1 [1.3.1 200507031930]
	org.netbeans.modules.debugger.jpda/2 [1.13.1 200507031930]
	org.netbeans.spi.debugger.ui/1 [2.5.1 200507031930]
	org.netbeans.modules.debugger.jpda.ui/1 [1.2.1 200507031930]
	org.netbeans.modules.debugger.jpda.ant [1.4.1 200507031930]
	org.netbeans.modules.ant.freeform [1.5.1 200507031930]
	org.netbeans.modules.java.freeform [1.0.1 200507031930]
	org.netbeans.modules.diff/1 [1.10.1 promotionE 200507031930]
	org.netbeans.modules.j2eeapis/1 [1.3.1 200507031930]
	org.netbeans.modules.j2eeserver/3 [1.6.1 200507031930]
	org.netbeans.api.web.webmodule [1.2.1 200507031930]
	org.netbeans.modules.web.freeform [1.0.1 200507031930]
	org.netbeans.modules.javadoc/1 [1.14.1 200507031930]
	org.netbeans.modules.html.editor.lib/1 [1.0.1 200507031930]
	org.netbeans.modules.html.editor/1 [1.0.1 200507031930]
	org.netbeans.modules.form/2 [1.16.1 200507031930]
	org.netbeans.modules.properties/1 [1.14.1 200507031930]
	org.netbeans.modules.i18n/1 [1.17.1 200507031930]
	org.netbeans.modules.i18n.form/2 [1.15.1 200507031930]
	org.netbeans.modules.ant.browsetask [1.8.1 200507031930]
	org.netbeans.libs.xerces/1 [1.5.1 2.6.2]
	org.netbeans.modules.j2ee.dd/1 [1.3.1 1.0 200507031930]
	org.netbeans.modules.j2ee.api.ejbmodule [1.0.1 200507031930]
	org.netbeans.modules.junit/2 [2.14.1 200507031930]
	org.netbeans.modules.j2ee.common/1 [1.0.1 1.0.1 200507031930]
	org.netbeans.modules.vcscore/1 [1.14.1 promotionE 200507031930]
	org.netbeans.modules.vcs.advanced/1 [1.12.1 200507031930]
	org.netbeans.modules.servletapi/1 [1.6.1 200507031930]
	org.netbeans.modules.httpserver/2 [2.1.1 release41 200507031930]
	org.netbeans.modules.xsl/1 [1.7 3.999.4 200507031930]
	org.netbeans.modules.xml.schema/1 [1.7 3.999.4 200507031930]
	org.netbeans.modules.j2ee.blueprints/1 [1.5.2 200507031930]
	org.netbeans.modules.websvc.registry [0.2.1 200507031930]
	org.netbeans.modules.navigator/2 [4.1.1 promoe 200507031930]
	org.netbeans.modules.j2ee.ant [1.3.1 200507031930]
	org.netbeans.modules.xml.tax/2 [1.7 3.999.4 200507031930]
	org.netbeans.modules.xml.tools/2 [1.7 3.999.4 200507031930]
	org.netbeans.modules.db/1 [1.11.1 1.1 200507031930]
	org.netbeans.modules.j2ee.dd.webservice [1.0.1 200507031930]
	org.netbeans.modules.websvc.websvcapi [1.0.1 200507031930]
	org.netbeans.modules.dbschema/1 [1.3.3 1.1]
	org.netbeans.modules.j2ee.ejbjarproject [1.1.1 1.1.1 200507031930]
	org.netbeans.modules.refactoring/1 [1.1.1 1.0 200507031930]
	org.netbeans.modules.j2ee.ddloaders/1 [1.2.1 200507031930]
	org.netbeans.modules.j2ee.sun.dd/1 [1.2.1 1.0 050422]
	org.netbeans.libs.commons_logging/1 [1.0.1 1.0.4 200507031930]
	org.netbeans.modules.servletapi24/1 [2.3.1 2.3.1 200507031930]
	org.netbeans.modules.web.jspparser/2 [2.2.1 200507031930]
	org.netbeans.modules.xml.text/2 [1.7 3.999.4 200507031930]
	org.netbeans.modules.java.editor/1 [1.0.1 200507031930]
	org.netbeans.modules.html/1 [1.15.1 200507031930]
	org.netbeans.modules.web.core.syntax/1 [1.17.1 200507031930]
	org.netbeans.modules.web.core/1 [1.20.1 release41 200507031930]
	org.netbeans.modules.properties.syntax/1 [1.14.1 200507031930]
	org.netbeans.modules.servletapi23/1 [1.7.1 200507031930]
	org.netbeans.modules.web.project [1.4.1 1.1.1.1 200507031930]
	org.netbeans.modules.websvc.core [1.0.1 200507031930]
	org.netbeans.modules.j2ee.refactoring/1 [1.0.1 200507031930]
	org.netbeans.modules.favorites/1 [1.8.1 200507031930]
	org.netbeans.modules.utilities/1 [1.18.1 200507031930]
	org.netbeans.modules.autoupdate/1 [2.12.1 200507031930]
	org.netbeans.modules.j2ee.ejbfreeform [1.0.1 200507031930]
	org.netbeans.modules.tomcat5/1 [1.3.1 200507031930]
	org.netbeans.modules.j2ee.debug/1 [1.0.1 200507031930]
	org.netbeans.lib.cvsclient/1 [1.11.1 200507031930]
	org.netbeans.modules.j2ee.earproject [1.0.1 1.0.1 200507031930]
	org.netbeans.modules.web.debug/1 [2.4.1 200507031930]
	org.netbeans.modules.tomcat5.bundled/1 [1.3.1 200507031930]
	org.netbeans.modules.vcscore.javacorebridge/1 [1.0.1 200507031930]
	org.netbeans.modules.web.jstl11/1 [2.3.1 2.3.1 200507031930]
	org.netbeans.modules.vcs.profiles.vss/1 [1.6.1 200507031930]
	org.netbeans.modules.utilities.project/1 [1.2.1 200507031930]
	org.netbeans.modules.vcs.profiles.cvsprofiles/1 [1.6.1 200507031930]
	org.netbeans.modules.web.examples/1 [1.2.1 200507031930]
	org.netbeans.modules.j2ee.platform/1 [1.0.1 200507031930]
	org.netbeans.modules.web.monitor/1 [1.12.1 200507031930]
	org.netbeans.modules.image/1 [1.14.1 200507031930]
	org.netbeans.modules.java.j2seproject [1.2.1 1.2.0 200507031930]
	org.netbeans.modules.usersguide/1 [1.16.1 200507031930]
	org.netbeans.modules.java.j2seplatform/1 [1.2.1 1.2.0 200507031930]
	org.netbeans.modules.css/2 [1.7 3.999.4 200507031930]
	org.netbeans.modules.clazz/1 [1.16.1 200507031930]
	org.netbeans.modules.j2ee.genericserver [1.0.1 200507031930]
	org.netbeans.modules.ant.grammar/1 [1.10 200507031930]
	org.netbeans.upgrader [4.2.1 200507031930]
	org.netbeans.modules.welcome/1 [1.7.1 200507031930]
	org.netbeans.modules.beans/1 [1.14.1 200507031930]
	org.netbeans.modules.updatecenters/1 [1.3.1 200507031930]
	org.netbeans.modules.websvc.dev/1 [1.1.1 200507031930]
	org.netbeans.modules.javanavigation/1 [4.1.1 200507031930]
	org.netbeans.core.ide/1 [1.6.1 200507031930]
	org.netbeans.modules.java.examples/1 [1.2.1 200507031930]
	org.netbeans.modules.vcs.profiles.pvcs/1 [1.6.1 200507031930]
	org.netbeans.modules.j2ee.sun.ide/1 [2.1.1 1.0 050422]
[org.netbeans.javacore] INFORMATIONAL *********** Exception occurred 
************ at 11:18 AM on Dec 23, 2005
java.io.FileNotFoundException: \\czchonsnas2.prg-dc.dhl.com\ogul$\.netbeans\4.1
\var\cache\mdrstorage\org-netbeans-java\0.64
\f34eac23bc809c93bc92339a52e80523da95ff38715006jrelibjssejar.cdx (The system 
cannot find the file specified)
	at java.io.FileInputStream.open(Native Method)
	at java.io.FileInputStream.<init>(FileInputStream.java:106)
[catch] at org.netbeans.modules.javacore.ClassIndex$CISImpl.mount
(ClassIndex.java:952)
	at org.netbeans.modules.javacore.ClassIndex.loadIndex
(ClassIndex.java:173)
	at org.netbeans.modules.javacore.JMManager.resolveCPRoot
(JMManager.java:920)
	at org.netbeans.modules.javacore.JMManager.resolveCodebases
(JMManager.java:777)
	at org.netbeans.modules.javacore.JMManager$2.run(JMManager.java:731)
	at org.openide.util.Task.run(Task.java:189)
	at org.openide.util.RequestProcessor$Task.run
(RequestProcessor.java:330)
	at org.openide.util.RequestProcessor$Processor.run
(RequestProcessor.java:721)
[org.netbeans.javacore] INFORMATIONAL *********** Exception occurred 
************ at 11:18 AM on Dec 23, 2005
java.io.FileNotFoundException: \\czchonsnas2.prg-dc.dhl.com\ogul$\.netbeans\4.1
\var\cache\mdrstorage\org-netbeans-java\0.64
\fc5ff586562dc09479ddbb481bdf47d79523f3fbek15006jrelibjcejar.cdx (The system 
cannot find the file specified)
	at java.io.FileInputStream.open(Native Method)
	at java.io.FileInputStream.<init>(FileInputStream.java:106)
[catch] at org.netbeans.modules.javacore.ClassIndex$CISImpl.mount
(ClassIndex.java:952)
	at org.netbeans.modules.javacore.ClassIndex.loadIndex
(ClassIndex.java:173)
	at org.netbeans.modules.javacore.JMManager.resolveCPRoot
(JMManager.java:920)
	at org.netbeans.modules.javacore.JMManager.resolveCodebases
(JMManager.java:777)
	at org.netbeans.modules.javacore.JMManager$2.run(JMManager.java:731)
	at org.openide.util.Task.run(Task.java:189)
	at org.openide.util.RequestProcessor$Task.run
(RequestProcessor.java:330)
	at org.openide.util.RequestProcessor$Processor.run
(RequestProcessor.java:721)
[org.netbeans.javacore] INFORMATIONAL *********** Exception occurred 
************ at 11:18 AM on Dec 23, 2005
java.io.FileNotFoundException: \\czchonsnas2.prg-dc.dhl.com\ogul$\.netbeans\4.1
\var\cache\mdrstorage\org-netbeans-java\0.64
\f4ed05944cfe9cc7f79052ce05ea50737461be0346jrelibcharsetsjar.cdx (The system 
cannot find the file specified)
	at java.io.FileInputStream.open(Native Method)
	at java.io.FileInputStream.<init>(FileInputStream.java:106)
[catch] at org.netbeans.modules.javacore.ClassIndex$CISImpl.mount
(ClassIndex.java:952)
	at org.netbeans.modules.javacore.ClassIndex.loadIndex
(ClassIndex.java:173)
	at org.netbeans.modules.javacore.JMManager.resolveCPRoot
(JMManager.java:920)
	at org.netbeans.modules.javacore.JMManager.resolveCodebases
(JMManager.java:777)
	at org.netbeans.modules.javacore.JMManager$2.run(JMManager.java:731)
	at org.openide.util.Task.run(Task.java:189)
	at org.openide.util.RequestProcessor$Task.run
(RequestProcessor.java:330)
	at org.openide.util.RequestProcessor$Processor.run
(RequestProcessor.java:721)
[org.netbeans.javacore] INFORMATIONAL *********** Exception occurred 
************ at 11:18 AM on Dec 23, 2005
java.io.FileNotFoundException: \\czchonsnas2.prg-dc.dhl.com\ogul$\.netbeans\4.1
\var\cache\mdrstorage\org-netbeans-java\0.64
\fabdd15a0d82741a892b3dc83de36b8be7728682f6jrelibextdnsnsjar.cdx (The system 
cannot find the file specified)
	at java.io.FileInputStream.open(Native Method)
	at java.io.FileInputStream.<init>(FileInputStream.java:106)
[catch] at org.netbeans.modules.javacore.ClassIndex$CISImpl.mount
(ClassIndex.java:952)
	at org.netbeans.modules.javacore.ClassIndex.loadIndex
(ClassIndex.java:173)
	at org.netbeans.modules.javacore.JMManager.resolveCPRoot
(JMManager.java:920)
	at org.netbeans.modules.javacore.JMManager.resolveCodebases
(JMManager.java:777)
	at org.netbeans.modules.javacore.JMManager$2.run(JMManager.java:731)
	at org.openide.util.Task.run(Task.java:189)
	at org.openide.util.RequestProcessor$Task.run
(RequestProcessor.java:330)
	at org.openide.util.RequestProcessor$Processor.run
(RequestProcessor.java:721)
[org.netbeans.javacore] INFORMATIONAL *********** Exception occurred 
************ at 11:18 AM on Dec 23, 2005
java.io.FileNotFoundException: \\czchonsnas2.prg-dc.dhl.com\ogul$\.netbeans\4.1
\var\cache\mdrstorage\org-netbeans-java\0.64
\fbd61da12a67e8483f444d0915956bd91f55447e7ibextlocaledatajar.cdx (The system 
cannot find the file specified)
	at java.io.FileInputStream.open(Native Method)
	at java.io.FileInputStream.<init>(FileInputStream.java:106)
[catch] at org.netbeans.modules.javacore.ClassIndex$CISImpl.mount
(ClassIndex.java:952)
	at org.netbeans.modules.javacore.ClassIndex.loadIndex
(ClassIndex.java:173)
	at org.netbeans.modules.javacore.JMManager.resolveCPRoot
(JMManager.java:920)
	at org.netbeans.modules.javacore.JMManager.resolveCodebases
(JMManager.java:777)
	at org.netbeans.modules.javacore.JMManager$2.run(JMManager.java:731)
	at org.openide.util.Task.run(Task.java:189)
	at org.openide.util.RequestProcessor$Task.run
(RequestProcessor.java:330)
	at org.openide.util.RequestProcessor$Processor.run
(RequestProcessor.java:721)
[org.netbeans.javacore] INFORMATIONAL *********** Exception occurred 
************ at 11:18 AM on Dec 23, 2005
java.io.FileNotFoundException: \\czchonsnas2.prg-dc.dhl.com\ogul$\.netbeans\4.1
\var\cache\mdrstorage\org-netbeans-java\0.64
\f8c2203a1280d3edf855e71bd859ed8b4fcad2f50tsunjceproviderjar.cdx (The system 
cannot find the file specified)
	at java.io.FileInputStream.open(Native Method)
	at java.io.FileInputStream.<init>(FileInputStream.java:106)
[catch] at org.netbeans.modules.javacore.ClassIndex$CISImpl.mount
(ClassIndex.java:952)
	at org.netbeans.modules.javacore.ClassIndex.loadIndex
(ClassIndex.java:173)
	at org.netbeans.modules.javacore.JMManager.resolveCPRoot
(JMManager.java:920)
	at org.netbeans.modules.javacore.JMManager.resolveCodebases
(JMManager.java:777)
	at org.netbeans.modules.javacore.JMManager$2.run(JMManager.java:731)
	at org.openide.util.Task.run(Task.java:189)
	at org.openide.util.RequestProcessor$Task.run
(RequestProcessor.java:330)
	at org.openide.util.RequestProcessor$Processor.run
(RequestProcessor.java:721)
[org.netbeans.javacore] INFORMATIONAL *********** Exception occurred 
************ at 11:18 AM on Dec 23, 2005
java.io.FileNotFoundException: \\czchonsnas2.prg-dc.dhl.com\ogul$\.netbeans\4.1
\var\cache\mdrstorage\org-netbeans-java\0.64
\ff339659383a655c003754056c4a0b8efe012932flibextsunpkcs11jar.cdx (The system 
cannot find the file specified)
	at java.io.FileInputStream.open(Native Method)
	at java.io.FileInputStream.<init>(FileInputStream.java:106)
[catch] at org.netbeans.modules.javacore.ClassIndex$CISImpl.mount
(ClassIndex.java:952)
	at org.netbeans.modules.javacore.ClassIndex.loadIndex
(ClassIndex.java:173)
	at org.netbeans.modules.javacore.JMManager.resolveCPRoot
(JMManager.java:920)
	at org.netbeans.modules.javacore.JMManager.resolveCodebases
(JMManager.java:777)
	at org.netbeans.modules.javacore.JMManager$2.run(JMManager.java:731)
	at org.openide.util.Task.run(Task.java:189)
	at org.openide.util.RequestProcessor$Task.run
(RequestProcessor.java:330)
	at org.openide.util.RequestProcessor$Processor.run
(RequestProcessor.java:721)
[org.netbeans.javacore] INFORMATIONAL *********** Exception occurred 
************ at 11:18 AM on Dec 23, 2005
java.io.FileNotFoundException: \\czchonsnas2.prg-dc.dhl.com\ogul$\.netbeans\4.1
\var\cache\mdrstorage\org-netbeans-java\0.64
\f1529c276f5c6fde45c6d07e558462047dd412927defaultjavacsource.cdx (The system 
cannot find the file specified)
	at java.io.FileInputStream.open(Native Method)
	at java.io.FileInputStream.<init>(FileInputStream.java:106)
[catch] at org.netbeans.modules.javacore.ClassIndex$CISImpl.mount
(ClassIndex.java:952)
	at org.netbeans.modules.javacore.ClassIndex.loadIndex
(ClassIndex.java:173)
	at org.netbeans.modules.javacore.JMManager.resolveCPRoot
(JMManager.java:920)
	at org.netbeans.modules.javacore.JMManager.resolveCodebases
(JMManager.java:777)
	at org.netbeans.modules.javacore.JMManager$2.run(JMManager.java:731)
	at org.openide.util.Task.run(Task.java:189)
	at org.openide.util.RequestProcessor$Task.run
(RequestProcessor.java:330)
	at org.openide.util.RequestProcessor$Processor.run
(RequestProcessor.java:721)
Comment 1 rbalada 2005-12-23 12:38:16 UTC
Hello ozgurgul,

nice to see Prague DHL center uses NetBeans built in Sun's Prague Devevelopment
Center :-)

Unfortunatelly this issue is not related to NetBeans Build System. Re-assigning
to 'ant' module, which can be seen in the stack trace. The problematic file is
not present in NB 5.0, thus there's a chance it was fixed in NB 5.0.

From my personal experience with Windows and getCanonicalPath method I can only
suggest a workaround in mounting your home dir
"\\czchonsnas2.prg-dc.dhl.com\ogul" as regular Windows drive with assigned
letter (i.e. drive H:\ ).
Comment 2 Jesse Glick 2005-12-23 15:00:46 UTC
Sorry, NB does not currently support UNC paths. You need to mount the share as a
drive letter first.

*** This issue has been marked as a duplicate of 46813 ***
Comment 3 Marian Mirilovic 2006-01-10 12:53:20 UTC
verified duplicate


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo